part of tecfy_corev2_client_package;

class Dashboard extends BaseModel {
  late String id;
  late String nameAr;
  late String nameEn;
  String get name => LocalConfigService.isArabic ? nameAr : nameEn;

  late List<DashboardItemBase> items;

  @override
  String get displayName => name;

  @override
  String get idValue => id;

  Dashboard.fromMap(Map<String, dynamic>? map) {
    if (map == null) return;
    id = map['_id'];
    nameAr = map['nameAr'];
    nameEn = map['nameEn'];
    items = (map['items'] as List?)
            ?.map<DashboardItemBase>((e) => e['type'] == 'Chart'
                ? DashboardChart.fromMap(e)
                : DashboardItemBase.fromMap(e))
            .toList() ??
        [];
  }
}
