part of tecfy_corev2_client_package;

class DashboardItemBase extends BaseModel {
  late String type;
  late int order;
  late String dbName;
  late String titleAr;
  late String titleEn;
  late String descriptionAr;
  late String descriptionEn;
  String get title => LocalConfigService.isArabic ? titleAr : titleEn;
  late int size;
  late int natchNumber;
  dynamic value;
  String? onClick;
  @override
  String get displayName => title;

  @override
  String get idValue => dbName;

  DashboardItemBase.fromMap(Map<String, dynamic>? map) {
    if (map == null) return;
    type = map['type'];
    order = map['order'];
    dbName = map['dbName'];
    titleAr = map['titleAr'];
    titleEn = map['titleEn'];
    descriptionAr = map['descriptionAr'];
    descriptionEn = map['descriptionEn'];
    onClick = map['onClick'];
  }
}
